NamespaceAwareHashMap (Groovy 3.0.7)

Package groovy.util.slurpersupport

## Class NamespaceAwareHashMap

- java.lang.Object
- - java.util.AbstractMap<K,​V>
  - - java.util.HashMap<String,​String>
    - - groovy.util.slurpersupport.NamespaceAwareHashMap

- All Implemented Interfaces:
    `Serializable`, `Cloneable`, `Map<String,​String>`

      @Deprecated
      public class NamespaceAwareHashMap
      extends HashMap<String,​String>

  Deprecated.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K extends Object,​V extends Object>, AbstractMap.SimpleImmutableEntry<K extends Object,​V extends Object>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K extends Object,​V extends Object>`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NamespaceAwareHashMap()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `containsKey​(Object key)` | Deprecated.
    `String` | `get​(Object key)` | Deprecated.
    `Map` | `getNamespaceTagHints()` | Deprecated.
    `String` | `put​(String key, String value)` | Deprecated.
    `void` | `putAll​(Map<? extends String,​? extends String> m)` | Deprecated.
    `String` | `remove​(Object key)` | Deprecated.
    `void` | `setNamespaceTagHints​(Map namespaceTagHints)` | Deprecated.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsValue, entrySet, forEach, getOrDefault, isEmpty, keySet, merge, putIfAbsent, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### NamespaceAwareHashMap

          public NamespaceAwareHashMap()

      Deprecated.

  - ### Method Detail

    - #### setNamespaceTagHints

          public void setNamespaceTagHints​(Map namespaceTagHints)

      Deprecated.

    - #### getNamespaceTagHints

          public Map getNamespaceTagHints()

      Deprecated.

    - #### get

          public String get​(Object key)

      Deprecated.
      Specified by:
        `get` in interface `Map<String,​String>`
      Overrides:
        `get` in class `HashMap<String,​String>`

    - #### remove

          public String remove​(Object key)

      Deprecated.
      Specified by:
        `remove` in interface `Map<String,​String>`
      Overrides:
        `remove` in class `HashMap<String,​String>`

    - #### containsKey

          public boolean containsKey​(Object key)

      Deprecated.
      Specified by:
        `containsKey` in interface `Map<String,​String>`
      Overrides:
        `containsKey` in class `HashMap<String,​String>`

    - #### put

          public String put​(String key,
                            String value)

      Deprecated.
      Specified by:
        `put` in interface `Map<String,​String>`
      Overrides:
        `put` in class `HashMap<String,​String>`

    - #### putAll

          public void putAll​(Map<? extends String,​? extends String> m)

      Deprecated.
      Specified by:
        `putAll` in interface `Map<String,​String>`
      Overrides:
        `putAll` in class `HashMap<String,​String>`